<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"
          "http://www.w3.org/TR/REC-html40/loose.dtd">
<HTML>

<HEAD>
<TITLE>JFLA 2000</TITLE>
</HEAD>

<BODY BGCOLOR="#FFFFFF">

<H1 ALIGN=CENTER>JFLA 2000: relecture du papier 12</H1>

<P>Numero du papier: 12
<P>Titre du papier: Buildoo
<P>Auteurs: Marco Superina

<P>Nom du rapporteur: C. Dubois

<P>Confiance en la note: 2
<!-- 1 : je n'ai pas compris car ce n'est pas mon domaine.
     2 : j'ai compris, mais je ne domine pas le sujet.
     3 : j'ai tout compris car c'est mon domaine. -->

<P>Notation du papier:3 (+)
<!-- 1 : a rejeter; 2 : ininteressant; 3 : acceptable;
     4 : bon papier; 5: tres bon papier -->

<P>Commentaires aux auteurs:<P>
<P>Papier bien \'ecrit, clair, relativement <<self-contained>>

<P>Le papier d\'ecrit Buildoo constructeur d'interfaces graphiques pour  Bigloo (un
langage  de la famille Scheme). Une des id\'ees directrices de ce 
projet est la s\'eparation du code utilisateur et du code g\'en\'er\'e pour
l'interface. L'aspect auto-g\'en\'eration de Buildoo est particuli\`erement
int\'eressant.

<P>Cependant le papier est desservi par le fait que la partie \'etat de
l'art n'est pas pr\'esente : les auteurs \'ecrivent qu'elle le sera dans
l'article final. Il est absolument n\'ecessaire de pouvoir comparer
l'approche d\'ecrite dans le papier avec les autres outils existants.

<P>Points de d\'etails :
<P>p2 
<P>pourquoi \'ecrivez-vous section avec un s majuscule ?
<P>fin de l'intro : .. comment Buildoo peut \^etre ...
<P>Section 1  pr\'esentation sommaire de ce (lequel Buildoo ou Bigloo ?) syst\`eme ...
<P>1.1 titre mal choisi : vous ne parlez pas que des modules de Bigloo

<P>Il serait bienvenu de d\'etailler un peu le m\'ecanisme d'introspection de
Bigloo dans 1.1

<P>p3
<P>libraire (librairie)  Tk
<P>2.1 ... traduction francaise de debugger et profiler

<P>p4 : cette page est un peu fouillie : il serait pr\'ef\'erable de transformer
<P>le code du module counter en une figure et de la r\'ef\'erencer en fin de
page 3.
<P>Commenter rapidement ce code (sinon le supprimer)

<P>p5 : nous avons men\'e
<P>effectu\'es. Aussi n'allons nous pr\'esenter ici qu'un des probl\`emes et sa
solution
<P>travail que nous avons d\^u ...
<P>ligne en dessous : existants

<P>p6 
<P>la librairie (au lieu de librairy)
<P>Si des champs de certaines widgets changent, ....
<P>3.2 : un (au lieu de une) champ backgroud ..
<P>3.3 il tient en moins de ...

<P>p9 
<P>d\'es\'erialise (au lieu de d\'eserialise)
<P>Comme nous l'avons pr\'ec\'edemment mentionn\'e, 
<P>interface graphique peut \^etre charg\'ee ...
<P>existant. Avec

<P>p11
<P>Cela nous a permis ...
<P>Le paragraphe L'auto-g\'en\'eration ...... renomm\'ees n'est pas clair du
tout.

<P>Section 7 est indispensable : \`a compl\'eter. Comparer avec des outils
existants.

<P>Commentaires reserves au comite de programme:<P>
Papier clair bien \'ecrit mais difficile \`a juger car l'auteur ne compare
pas son travail avec les outils existants. 
</BODY>
</HTML>
